using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using Webolize.TimeTracker.Domain;

using Cuyahoga.Core.Util;
using Cuyahoga.Web.UI;

namespace Webolize.TimeTracker.Web.Admin
{
	/// <summary>
	/// Summary description for Edit Forums.
	/// </summary>
    public class EditBillableType : ModuleAdminBasePage
	{
        protected System.Web.UI.WebControls.TextBox wf_TypeName;
        protected System.Web.UI.WebControls.TextBox wf_Description;
        protected System.Web.UI.WebControls.TextBox wf_UnitCost;
        protected System.Web.UI.WebControls.TextBox wf_DefaultQuantity;
        protected System.Web.UI.WebControls.DropDownList wf_DefaultTax;
        protected System.Web.UI.WebControls.CheckBox wf_Active;
        protected System.Web.UI.WebControls.LinkButton wf_Submit;
        protected System.Web.UI.WebControls.Label wf_Status;

		private TimeTrackerModule _module;
        private int billableTypeID;

		private void Page_Load(object sender, System.EventArgs e)
		{
			base.Title = "Webolize TimeTracker Administration";
			this._module = base.Module as TimeTrackerModule;

            if ( Request.QueryString["BillableTypeId"] != null ) {
                billableTypeID = Int32.Parse( Request.QueryString["BillableTypeId"] );
            } else {
                billableTypeID = -1;
            }

			if (! this.IsPostBack)
			{
                BindData();
			}
		}

        private void BindData()
        {
            TimeTrackerDB ttdb = new TimeTrackerDB( _module.SessMgr );

            // populate default taxes dropdown
            //wf_DefaultTax.DataSource = ttdb.GetAllBillableMultipliers();
            //wf_DefaultTax.DataBind();

            if ( billableTypeID >= 0 ) {
                TTBillableType ttbt = ttdb.GetSingleBillableType( billableTypeID );

                wf_TypeName.Text = ttbt.TypeName;
                wf_Description.Text = ttbt.Description;
                wf_UnitCost.Text = ttbt.UnitCost.ToString( "0.00" );
                wf_DefaultQuantity.Text = ttbt.DefaultQuantity.ToString();
                //wf_DefaultTax.SelectedValue = ttbt.DefaultTaxID.ToString();
                wf_Active.Checked = ttbt.Active;

                wf_Status.Visible = false;
            } else {
                wf_DefaultQuantity.Text = "1";
                wf_Active.Checked = true;

                wf_Submit.Text = "create billable type";
            }
        }


        protected void wf_Submit_Click( object sender, EventArgs e )
        {
            Cuyahoga.Core.Domain.User _currentUser = Context.User.Identity as Cuyahoga.Core.Domain.User;
            TimeTrackerDB ttdb = new TimeTrackerDB( _module.SessMgr );
            TTBillableType bt;
            int tmpDefQuantity;
//int tmpDefTaxID;
            decimal tmpUnitCost;

            if ( billableTypeID >= 0 ) {
                bt = ttdb.GetSingleBillableType( billableTypeID );
            } else {
                bt = new TTBillableType();
            }

            bt.TypeName = wf_TypeName.Text;
            bt.Description = wf_Description.Text;

            if ( Decimal.TryParse( wf_UnitCost.Text, out tmpUnitCost ) ) {
                bt.UnitCost = tmpUnitCost;
            } else {
                wf_Status.Text = "Please put a proper decimal number for Unit Cost";
                wf_Status.Visible = true;
                return;
            }

            if ( Int32.TryParse( wf_DefaultQuantity.Text, out tmpDefQuantity ) ) {
                bt.DefaultQuantity = tmpDefQuantity;
            } else {
                wf_Status.Text = "Please Choose a default quantity";
                wf_Status.Visible = true;
                return;
            }

            //if ( Int32.TryParse( wf_DefaultTax.SelectedValue, out tmpDefTaxID ) ) {
            //    bt.DefaultTaxID = tmpDefTaxID;
            //} else {
            //    wf_Status.Text = "Please Choose a default Tax";
            //    wf_Status.Visible = true;
            //    return;
            //}

            bt.InventoryDate = DateTime.Now;
            bt.Active = wf_Active.Checked;

            // Save or update ServiceType
            if ( billableTypeID >= 0 ) {
                ttdb.Update( bt );
                wf_Status.Text = "billable type has been updated";
                wf_Status.Visible = true;
            } else {
                ttdb.Save( bt );
                //wf_Status.Text = "multiplier has been created";
                //wf_Status.Visible = true;
                wf_Back_Click( sender, e );
            }

        }

        protected void wf_Back_Click( object sender, EventArgs e )
        {
            Response.Redirect( String.Format("~/Modules/Webolize-TimeTracker/Admin/Admin.aspx?NodeId={0}&SectionId={1}", this.Node.Id, this.Section.Id ) );
        }

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
